org.apache.lucene.search.spell

## Class LevensteinDistance

- java.lang.Object
- - org.apache.lucene.search.spell.LevenshteinDistance
  - - org.apache.lucene.search.spell.LevensteinDistance

- All Implemented Interfaces:
    StringDistance

  Deprecated.
  Use `LevenshteinDistance` instead.

      @Deprecated
      public class LevensteinDistance
      extends LevenshteinDistance

  Levenshtein edit distance class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LevensteinDistance()` Deprecated. Sole constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.search.spell.LevenshteinDistance

      `equals, getDistance, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LevensteinDistance

          public LevensteinDistance()

      Deprecated.
      Sole constructor.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.